Skip to main content
GET
/
ai-agents
/
agent-builder
/
knowledge-base
/
text
/
{uniqueId}
Get Text Entry
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/text/{uniqueId} \
  --header 'apikey: <api-key>'
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/text/{uniqueId}"

headers = {"apikey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {apikey: '<api-key>'}};

fetch('https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/text/{uniqueId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "uniqueId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "title": "Company Policy Document",
    "text": "This document outlines...",
    "fileName": "company-policy-document.md",
    "s3Key": "my-app-id/text/f47ac10b/company-policy-document.md",
    "status": "indexed",
    "vectorizationStatus": "completed",
    "createdAt": 1700000000000,
    "updatedAt": 1700000000000,
    "isActive": true
  }
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key (i.e. Rest API Key from the Dashboard).

Path Parameters

uniqueId
string
required

Unique text detail ID

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

Response

200 - application/json

Text detail retrieved successfully

data
object